## gauche-c-wrapper 0.6.1

=== examples/ImageMagick/Makefile ===
SOEXT = $(shell gauche-config --so-suffix)

magicklib.$(SOEXT): magick.scm
	cwcompile --verbose magick.scm

run: magicklib.$(SOEXT)
	gosh -I. magick.scm

clean:
	cwcompile --verbose --clean magick.scm
	rm -f thumbnail.png

=== examples/sdl/Makefile ===
SOEXT = $(shell gauche-config --so-suffix)

sdllib.$(SOEXT): breakout.scm
	cwcompile --verbose breakout.scm

run: sdllib.$(SOEXT)
	gosh -I. breakout.scm

clean:
	cwcompile --verbose --clean breakout.scm

=== debian/changelog ===
gauche-c-wrapper (0.6.1-18) unstable; urgency=medium

  * debian/patches/18_allow_null_declaration.patch: New.
    Thanks to Santiago Vila and Aurelien Jarno.
    Fix FTBFS (Closes: #1099232).

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 06 Mar 2025 15:56:20 +0900

gauche-c-wrapper (0.6.1-17) unstable; urgency=medium

  * debian/tests/build-so: Fix for other archs.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 12 Dec 2024 09:05:56 +0900

gauche-c-wrapper (0.6.1-16) unstable; urgency=medium

  * debian/patches/17_for_aarch64.patch: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 11 Dec 2024 14:23:38 +0900

gauche-c-wrapper (0.6.1-15) unstable; urgency=medium

  * debian/patches/17_for_aarch64.patch: New.  Fix FTBFS on aarch64.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 11 Dec 2024 13:39:12 +0900

gauche-c-wrapper (0.6.1-14) unstable; urgency=medium

  * debian/patches/16_for_riscv_loong.patch: New.  Thanks to
  Eric Long.  Fix FTBFS (Closes: #1017712)
  * debian/tests/build-so: Add to build .so files.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 11 Dec 2024 11:01:24 +0900

gauche-c-wrapper (0.6.1-13) unstable; urgency=medium

  * debian/patches/15_for_0915.patch: New.  Fix FTBFS (Closes: #1071045).
  * debian/tests: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 10 Dec 2024 11:48:50 +0900

gauche-c-wrapper (0.6.1-12) unstable; urgency=medium

  * debian/patches/11_fix_jp_encoding.patch: New.  From Arch.
  * debian/patches/12_float128.patch: New.  From Arch.
  * debian/patches/13_local_typedef.patch: New.  From Arch.
  * debian/patches/14_extend_parser.patch: New.  From Arch.
    Fixed FTBFS (Closes: #925691).
    Update removing trailing space.
    Update for API change of Scm_RegExec in Gauche 0.9.10.
    Update to include generated files.
  * debian/control (Standards-Version): Conforms to 4.5.1.
    (Build-Depends): Add debhelper-compat.  Add bison.
  * debian/compat: Remove.
  * debian/rules (override_dh_auto_configure): Touch c-parser.c.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 15 Jan 2021 09:50:22 +0900

gauche-c-wrapper (0.6.1-11) unstable; urgency=medium

  * Fix FTBFS (Closes: #926788).
  * debian/patches/10-fix-closure-alloc.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 16 Apr 2019 12:24:07 +0900

gauche-c-wrapper (0.6.1-10) unstable; urgency=medium

  * debian/patches/07_gzip_options.patch: New.
  * debian/patches/08-gen-gpd-fix.patch: New.
  * debian/patches/09-cpp-c-ldflags.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 22 Oct 2018 09:10:28 +0900

gauche-c-wrapper (0.6.1-9) unstable; urgency=medium

  * debian/control (Standards-Version): Conforms to 4.2.1.
  (Build-Depends): This is for new gauche-dev (>= 0.9.6).
  (Maintainer): Don't use mailing list (Closes: #899522).
  * debian/compat: Upgrade to 11.
  * debian/patches/06___glibc_macro_warning.patch: New.
  * debian/rules: Update.
  * New package lets build amd64 package (Closes: #790036).

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 09 Oct 2018 10:39:08 +0900

gauche-c-wrapper (0.6.1-8) unstable; urgency=medium

  * debian/control (Standards-Version): Conforms to 3.9.8.
  (Build-Depends): This is for new gauche-dev (>= 0.9.5).
  (Depends): Add gauche-dev.  Add gcc (Closes: #822250)
  * debian/patches/series: Update.
  * debian/patches/05_cflags.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 26 Oct 2016 10:32:39 +0900

gauche-c-wrapper (0.6.1-7) unstable; urgency=low

  [ Jens Thiele ]
  * debain/patches/04_build_with_gcc5.patch: Update.

  [ NIIBE Yutaka ]
  * debian/control: Add Vcs-Git and Vcs-Browser fields.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 21 Dec 2015 22:00:39 +0900

gauche-c-wrapper (0.6.1-6) unstable; urgency=low

  [ Jens Thiele ]
  * debain/patches/04_build_with_gcc5.patch: New.
    Thanks to Matthias Klose and Martin Michlmayr.  Closes: #777861.

  [ NIIBE Yutaka ]
  * debian/control (Standards-Version): Conforms to 3.9.6.
    (Maintainer): Remove Hatta Shuzo.
  * debian/rules (GZIP): Add -n for reproducibility.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 19 Dec 2015 03:03:33 +0000

gauche-c-wrapper (0.6.1-5) unstable; urgency=low

  * debian/rules (DH_OPTIONS): Added.
    (override_dh_auto_configure): Don't call dh_auto_configure, but call
    configure by ourselves (because of multiarch badness).
  * debian/compat: Upgrade to 9.
  * debian/control (Standards-Version): Now, it follows 3.9.3.
    (Maintainer): Now, it's team maintained.
    (Uploaders): New (same as gauche).
    (Homepage): Update to new homepage.
  * debian/watch: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 25 Jan 2013 14:29:32 +0900

gauche-c-wrapper (0.6.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: gcc: error: /usr/lib/libffi_pic.a: No such file or
    directory": apply patch from Ubuntu / Matthias Klose, changing
    01_use_installed_libffi.patch:
    - Search libffi_pic.a in the multiarch location.
      Closes: #634394. LP: #831289.
  * Explicitly build-depend on dpkg-dev (>= 1.16.0) to get dpkg-architecture's
    DEB_HOST_MULTIARCH variable.

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Oct 2011 14:53:27 +0200

gauche-c-wrapper (0.6.1-4) unstable; urgency=low

  * Build with new gauche 0.9-15.
  * debian/control (Depends): Added gauche.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 10 May 2010 10:49:54 +0900

gauche-c-wrapper (0.6.1-3) unstable; urgency=low

  * debian/patches/03_target_gnu.patch: Renamed from 03_gnu_host.patch.
  * debian/patches/03_target_gnu.patch: Move kfreebsd case before freebsd.
  * debian/patches/02_multilib.patch: Care for i[567]86-linux-gnu.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 07 Apr 2010 10:00:32 +0900

gauche-c-wrapper (0.6.1-2) unstable; urgency=low

  * debian/patches/03_gnu_host.patch: New file.
  * debian/patches/02_multilib.patch: Care for sparc*linux-gnu.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 02 Apr 2010 13:57:01 +0900

gauche-c-wrapper (0.6.1-1) unstable; urgency=low

  * debian/source.lintian-overrides: New file.


=== debian/control ===
Source: gauche-c-wrapper
Section: lisp
Priority: optional
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, Jens Thiele <karme@karme.de>
Build-Depends: debhelper (>= 11), debhelper-compat (= 13), gauche-dev (>= 0.9.13), texinfo, libffi-dev, dpkg-dev (>= 1.16.0)
Standards-Version: 4.5.1
Homepage: http://www.koguro.net/prog/c-wrapper/
Vcs-Git: https://salsa.debian.org/debian/gauche-c-wrapper.git
Vcs-Browser: https://salsa.debian.org/debian/gauche-c-wrapper

Package: gauche-c-wrapper
Architecture: any
Depends: gauche, gauche-dev, gcc, ${shlibs:Depends}, ${misc:Depends}
Description: Foreign function interface for Gauche to C libraries
 c-wrapper is a foreign function interface for C and Objective-C
 libraries.  It can parse C header files, so you don't need to define
 functions, global variables and constants to use libraries.

=== debian/tests/control ===
Tests: build-so, run-testsuite
Depends: @, build-essential, gauche, gauche-dev, libffi-dev
Restrictions: allow-stderr, rw-build-tree

=== debian/watch ===
version=3
http://www.koguro.net/prog/c-wrapper/ ./c-wrapper-(.*)\.tgz
